netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
atp_rsel.c File Reference
`#include <arpa/inet.h>`
`#include <sys/types.h>`
`#include <sys/time.h>`
`#include <sys/uio.h>`
`#include <errno.h>`
`#include <signal.h>`
`#include <string.h>`
`#include <netatalk/at.h>`
`#include <atalk/netddp.h>`
`#include <atalk/compat.h>`
`#include <atalk/atp.h>`
`#include <atalk/util.h>`
`#include "atp_internals.h"`

## Functions
static int | resend_request (ATP ah)
int | atp_rsel (ATP ah, struct sockaddr_at *faddr, int func)
| Receive ATP packets.

## Function Documentation

## ◆ atp_rsel()

int atp_rsel | ( | ATP | ah,
|  | struct sockaddr_at * | faddr,
|  | int | func )

Receive ATP packets.

Parameters

  ah | open atp handle
  faddr | address to receive from
  func | which function(s) to wait for; 0 means request or response

## ◆ resend_request()

int resend_request | ( | ATP | ah | ) |
| static